package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmLvCancQueryForm extends HrmBaseForm {
  private String employeeNumber;
  
  private String leaveType;
  
  private String leaveDescription;
  
  private String cancelFromDate;
  
  private String cancelToDate;
  
  private String cancellationStatus;
  
  private String[] txtTransId;
  
  private String[] txtLeaveCodes;
  
  private String[] txtAppliedLeaveDate;
  
  private String[] txtCancellationDate;
  
  private String[] txtCancelStatus;
  
  private ArrayList arylstLvCnclQuery = new ArrayList();
  
  private String selectAll;
  
  private String transId;
  
  private String hdnDetailId;
  
  private String empId;
  
  private String empName;
  
  private String disabemployeeNumber;
  
  private String disableaveType;
  
  private String disableaveDescription;
  
  private String disabcancelFromDate;
  
  private String disabcancelToDate;
  
  private String disabcancellationStatus;
  
  private String disabtxtTransId;
  
  private String disabtxtLeaveCodes;
  
  private String disabtxtAppliedLeaveDate;
  
  private String disabtxtCancellationDate;
  
  private String disabtxtCancelStatus;
  
  private String butCancelFromDate;
  
  private String disabbutCancelFromDate;
  
  private String butCancelToDate;
  
  private String disabbutCancelToDate;
  
  private String butEmployeeNumber;
  
  private String disabbutEmployeeNumber;
  
  private String butLeaveType;
  
  private String disabbutLeaveType;
  
  private String leaveTypeId;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNumber() {
    return this.employeeNumber;
  }
  
  public void setEmployeeNumber(String newEmployeeNumber) {
    this.employeeNumber = newEmployeeNumber;
  }
  
  public String getLeaveType() {
    return this.leaveType;
  }
  
  public void setLeaveType(String newLeaveType) {
    this.leaveType = newLeaveType;
  }
  
  public String getLeaveDescription() {
    return this.leaveDescription;
  }
  
  public void setLeaveDescription(String newLeaveDescription) {
    this.leaveDescription = newLeaveDescription;
  }
  
  public String getCancelFromDate() {
    return this.cancelFromDate;
  }
  
  public void setCancelFromDate(String newCancelFromDate) {
    this.cancelFromDate = newCancelFromDate;
  }
  
  public String getCancelToDate() {
    return this.cancelToDate;
  }
  
  public void setCancelToDate(String newCancelToDate) {
    this.cancelToDate = newCancelToDate;
  }
  
  public String getCancellationStatus() {
    return this.cancellationStatus;
  }
  
  public void setCancellationStatus(String newCancellationStatus) {
    this.cancellationStatus = newCancellationStatus;
  }
  
  public String[] getTxtTransId() {
    return this.txtTransId;
  }
  
  public String[] getTxtLeaveCodes() {
    return this.txtLeaveCodes;
  }
  
  public String[] getTxtAppliedLeaveDate() {
    return this.txtAppliedLeaveDate;
  }
  
  public String[] getTxtCancellationDate() {
    return this.txtCancellationDate;
  }
  
  public String[] getTxtCancelStatus() {
    return this.txtCancelStatus;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public void setTxtAppliedLeaveDate(String[] newTxtAppliedLeaveDate) {
    this.txtAppliedLeaveDate = newTxtAppliedLeaveDate;
  }
  
  public void setTxtCancelStatus(String[] newTxtCancelStatus) {
    this.txtCancelStatus = newTxtCancelStatus;
  }
  
  public void setTxtCancellationDate(String[] newTxtCancellationDate) {
    this.txtCancellationDate = newTxtCancellationDate;
  }
  
  public void setTxtLeaveCodes(String[] newTxtLeaveCodes) {
    this.txtLeaveCodes = newTxtLeaveCodes;
  }
  
  public void setTxtTransId(String[] newTxtTransId) {
    this.txtTransId = newTxtTransId;
  }
  
  public String getTransId() {
    return this.transId;
  }
  
  public void setTransId(String newTransId) {
    this.transId = newTransId;
  }
  
  public String getHdnDetailId() {
    return this.hdnDetailId;
  }
  
  public void setHdnDetailId(String newHdnDetailId) {
    this.hdnDetailId = newHdnDetailId;
  }
  
  public String getEmpId() {
    return this.empId;
  }
  
  public void setEmpId(String newEmpId) {
    this.empId = newEmpId;
  }
  
  public String getEmpName() {
    return this.empName;
  }
  
  public void setEmpName(String newEmpName) {
    this.empName = newEmpName;
  }
  
  public String getDisabemployeeNumber() {
    return this.disabemployeeNumber;
  }
  
  public void setDisabemployeeNumber(String newDisabemployeeNumber) {
    this.disabemployeeNumber = newDisabemployeeNumber;
  }
  
  public String getDisableaveType() {
    return this.disableaveType;
  }
  
  public void setDisableaveType(String newDisableaveType) {
    this.disableaveType = newDisableaveType;
  }
  
  public String getDisableaveDescription() {
    return this.disableaveDescription;
  }
  
  public void setDisableaveDescription(String newDisableaveDescription) {
    this.disableaveDescription = newDisableaveDescription;
  }
  
  public String getDisabcancelFromDate() {
    return this.disabcancelFromDate;
  }
  
  public void setDisabcancelFromDate(String newDisabcancelFromDate) {
    this.disabcancelFromDate = newDisabcancelFromDate;
  }
  
  public String getDisabcancelToDate() {
    return this.disabcancelToDate;
  }
  
  public void setDisabcancelToDate(String newDisabcancelToDate) {
    this.disabcancelToDate = newDisabcancelToDate;
  }
  
  public String getDisabcancellationStatus() {
    return this.disabcancellationStatus;
  }
  
  public void setDisabcancellationStatus(String newDisabcancellationStatus) {
    this.disabcancellationStatus = newDisabcancellationStatus;
  }
  
  public String getDisabtxtTransId() {
    return this.disabtxtTransId;
  }
  
  public void setDisabtxtTransId(String newDisabtxtTransId) {
    this.disabtxtTransId = newDisabtxtTransId;
  }
  
  public String getDisabtxtLeaveCodes() {
    return this.disabtxtLeaveCodes;
  }
  
  public void setDisabtxtLeaveCodes(String newDisabtxtLeaveCodes) {
    this.disabtxtLeaveCodes = newDisabtxtLeaveCodes;
  }
  
  public String getDisabtxtAppliedLeaveDate() {
    return this.disabtxtAppliedLeaveDate;
  }
  
  public void setDisabtxtAppliedLeaveDate(String newDisabtxtAppliedLeaveDate) {
    this.disabtxtAppliedLeaveDate = newDisabtxtAppliedLeaveDate;
  }
  
  public String getDisabtxtCancellationDate() {
    return this.disabtxtCancellationDate;
  }
  
  public void setDisabtxtCancellationDate(String newDisabtxtCancellationDate) {
    this.disabtxtCancellationDate = newDisabtxtCancellationDate;
  }
  
  public String getDisabtxtCancelStatus() {
    return this.disabtxtCancelStatus;
  }
  
  public void setDisabtxtCancelStatus(String newDisabtxtCancelStatus) {
    this.disabtxtCancelStatus = newDisabtxtCancelStatus;
  }
  
  public String getButCancelFromDate() {
    return this.butCancelFromDate;
  }
  
  public void setButCancelFromDate(String newButCancelFromDate) {
    this.butCancelFromDate = newButCancelFromDate;
  }
  
  public String getDisabbutCancelFromDate() {
    return this.disabbutCancelFromDate;
  }
  
  public void setDisabbutCancelFromDate(String newDisabbutCancelFromDate) {
    this.disabbutCancelFromDate = newDisabbutCancelFromDate;
  }
  
  public String getButCancelToDate() {
    return this.butCancelToDate;
  }
  
  public void setButCancelToDate(String newButCancelToDate) {
    this.butCancelToDate = newButCancelToDate;
  }
  
  public String getDisabbutCancelToDate() {
    return this.disabbutCancelToDate;
  }
  
  public void setDisabbutCancelToDate(String newDisabbutCancelToDate) {
    this.disabbutCancelToDate = newDisabbutCancelToDate;
  }
  
  public String getButEmployeeNumber() {
    return this.butEmployeeNumber;
  }
  
  public void setButEmployeeNumber(String newButEmployeeNumber) {
    this.butEmployeeNumber = newButEmployeeNumber;
  }
  
  public String getDisabbutEmployeeNumber() {
    return this.disabbutEmployeeNumber;
  }
  
  public void setDisabbutEmployeeNumber(String newDisabbutEmployeeNumber) {
    this.disabbutEmployeeNumber = newDisabbutEmployeeNumber;
  }
  
  public String getButLeaveType() {
    return this.butLeaveType;
  }
  
  public void setButLeaveType(String newButLeaveType) {
    this.butLeaveType = newButLeaveType;
  }
  
  public String getDisabbutLeaveType() {
    return this.disabbutLeaveType;
  }
  
  public void setDisabbutLeaveType(String newDisabbutLeaveType) {
    this.disabbutLeaveType = newDisabbutLeaveType;
  }
  
  public String getLeaveTypeId() {
    return this.leaveTypeId;
  }
  
  public void setLeaveTypeId(String newLeaveTypeId) {
    this.leaveTypeId = newLeaveTypeId;
  }
  
  public ArrayList getArylstLvCnclQuery() {
    return this.arylstLvCnclQuery;
  }
  
  public void setArylstLvCnclQuery(ArrayList newArylstLvCnclQuery) {
    this.arylstLvCnclQuery = newArylstLvCnclQuery;
  }
}
